X
Tap here to go to the mobile version of the site.

Support Forum

I would like to reinstall Firefox4.. where is the link for the download?

Posted

I'm not happy with the new browser and would like to return to the previous version, however I'm not able to find the link for your older versions.

Would appreciate it greatly if you could point me to the right direction.

Thanks

I'm not happy with the new browser and would like to return to the previous version, however I'm not able to find the link for your older versions. Would appreciate it greatly if you could point me to the right direction. Thanks

Additional System Details

Installed Plug-ins

  • The QuickTime Plugin allows you to view a wide variety of multimedia content in Web pages. For more information, visit the QuickTime Web site.
  • NPRuntime Script Plug-in Library for Java(TM) Deploy
  • Adobe PDF Plug-In For Firefox and Netscape "9.4.5"
  • Pando Web Plugin
  • Shockwave Flash 10.3 r181
  • iTunes Detector Plug-in
  • GEPlugin
  • Next Generation Java Plug-in 1.6.0_26 for Mozilla browsers
  • 4.0.60531.0
  • Windows Presentation Foundation (WPF) plug-in for Mozilla browsers
  • Google Update
  • Npdsplay dll
  • DRM Store Netscape Plugin
  • DRM Netscape Network Object

Application

  • User Agent: Mozilla/5.0 (Windows NT 5.1; rv:5.0) Gecko/20100101 Firefox/5.0

More Information

I'm missing my toolbar with my bookmarks as well as spell check.

Helper7677 165 solutions 1653 answers

If you are having a specific issue with Firefox 5, please post the details, and someone on this support forum will try to help you.

With Mozilla's accelerated release plan, the "plan" is for 5.0 to replace 4.0.1, with no further support for 4.0.* versions.

  • This will also be the case with versions 6 and 7, currently scheduled for release later this year.
  • As new versions are released, support for the prior version will be dropped.
  • The only exception, as of right now, is that version 3.6.x will continue to be supported for 3-4 months, as of this posting.

No significant user-interface changes occurred between Firefox 4 and Firefox 5.

95% of the Add-ons hosted at the official Add-ons website are compatible with Firefox 5.0 - https://addons.mozilla.org/en-US/firefox/compatibility/report For extensions that are hosted elsewhere, you can try using this extension - https://addons.mozilla.org/en-US/firefox/addon/add-on-compatibility-reporter/ - to force "incompatible" extensions to be enabled in 5.0 and see for yourself if they work. Then there's a "compatibility" button in the Add-ons Manager tab to report if each extension is working properly or to tell the developer of each extension what problems you're having.

'''If you are having a specific issue with Firefox 5, please post the details, and someone on this support forum will try to help you.''' With Mozilla's accelerated release plan, the "plan" is for 5.0 to replace 4.0.1, with no further support for 4.0.* versions. *This will also be the case with versions 6 and 7, currently scheduled for release later this year. *As new versions are released, support for the prior version will be dropped. *The only exception, as of right now, is that version 3.6.x will continue to be supported for 3-4 months, as of this posting. No significant user-interface changes occurred between Firefox 4 and Firefox 5. 95% of the Add-ons hosted at the official Add-ons website are compatible with Firefox 5.0 - https://addons.mozilla.org/en-US/firefox/compatibility/report For extensions that are hosted elsewhere, you can try using this extension - https://addons.mozilla.org/en-US/firefox/addon/add-on-compatibility-reporter/ - to force "incompatible" extensions to be enabled in 5.0 and see for yourself if they work. Then there's a "compatibility" button in the Add-ons Manager tab to report if each extension is working properly or to tell the developer of each extension what problems you're having.

Modified by Helper7677